org.apache.olingo.commons.api.edm.geo

## Class ComposedGeospatial<T extends Geospatial>

- java.lang.Object
- - org.apache.olingo.commons.api.edm.geo.Geospatial
  - - org.apache.olingo.commons.api.edm.geo.ComposedGeospatial<T>

- Type Parameters:
    `T` - Type of the contained geospatial elements
  All Implemented Interfaces:
    Iterable<T>
  Direct Known Subclasses:
    GeospatialCollection, LineString, MultiLineString, MultiPoint, MultiPolygon

      public abstract class ComposedGeospatial<T extends Geospatial>
      extends Geospatial
      implements Iterable<T>

  Abstract base class for all Geometries that are composed out of other geospatial elements.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `Geospatial.Dimension, Geospatial.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<T>` | `geospatials`

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `dimension, srid, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComposedGeospatial(Geospatial.Dimension dimension, Geospatial.Type type, SRID srid, List<T> geospatials)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()` Checks if is empty.
    `Iterator<T>` | `iterator()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `getDimension, getEdmPrimitiveTypeKind, getGeoType, getSrid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### geospatials

          protected final List<T extends Geospatial> geospatials

  - ### Constructor Detail

    - #### ComposedGeospatial

          protected ComposedGeospatial(Geospatial.Dimension dimension,
                                       Geospatial.Type type,
                                       SRID srid,
                                       List<T> geospatials)

  - ### Method Detail

    - #### iterator

          public Iterator<T> iterator()

      Specified by:
        `iterator` in interface `Iterable<T extends Geospatial>`

    - #### isEmpty

          public boolean isEmpty()

      Checks if is empty.
      Returns:
        'TRUE' if is empty; 'FALSE' otherwise.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.